// Cameron Scott
// October 18, 2022
// Lab #8, Section 002
// This program prints a ppm image of the Irish Flag using functions 
// to fill the array with the corresponding colors.
//

#include <stdio.h>
#include <stdlib.h>
#include <string.h>


// creating the structs for the header and pixels
typedef struct {
	char type[3];
	int width;
	int height;
	int maxColor;
} header;

typedef struct {
	unsigned int r;
	unsigned int g;
	unsigned int b;
} pixel;

int getWidth();

void writeHeader(header header_t);

void fillFlagArray(pixel colorArray[], int width, int height);

void writePixels(pixel colorArray[], int width, int height);




